<?php
/**
 * Simply Schedule Appointments Appointment Type Object.
 *
 * @since   0.0.3
 * @package Simply_Schedule_Appointments
 */

/**
 * Simply Schedule Appointments Appointment Type Object.
 *
 * @since 0.0.3
 */
class SSA_Appointment_Type_Object {
	protected $id = null;
	protected $model = null;
	protected $data = null;

	protected $status;

	/**
	 * Parent plugin class.
	 *
	 * @since 0.0.3
	 *
	 * @var   Simply_Schedule_Appointments
	 */
	protected $plugin = null;

	/**
	 * Constructor.
	 *
	 * @since  0.0.3
	 *
	 * @param  Simply_Schedule_Appointments $plugin Main plugin object.
	 */
	public function __construct( $id ) {
		$this->plugin = Simply_Schedule_Appointments::get_instance();
		$this->model = $this->plugin->appointment_type_model;
		$this->id = $id;

		$this->get();
		if ( empty( $this->data['id'] ) || $this->id != $this->data['id'] ) {
			throw new Exception("Unable to create SSA_Appointment_Type_Object from id $id");
		}
	}

/**
	 * Magic getter for our object.
	 *
	 * @since  0.0.0
	 *
	 * @param  string $field Field to get.
	 * @throws Exception     Throws an exception if the field is invalid.
	 * @return mixed         Value of the field.
	 */
	public function __get( $field ) {
		switch ( $field ) {
			case 'id':
			case 'data':
				return $this->$field;
			default:
				if ( isset( $this->data[$field] ) ) {
					return $this->data[$field];
				}

				throw new Exception( 'Invalid ' . __CLASS__ . ' property: ' . $field );
		}
	}

	public function get() {
		$this->data = $this->model->get( $this->id );
	}

}
